#ifndef _SWITCH_AI8051U_H
#define _SWITCH_AI8051U_H

#include "compiler.h"

#if defined(_USE_SDCC_COMPILER_)
#define PUTCHAR_FUN()\
int putchar(int c)
#else
#define PUTCHAR_FUN()\
char putchar(char c)
#endif

#ifdef _USE_IAR_COMPILER_
#include "Ai8051U_IAR.h"
#include <intrinsics.h>
#else
#include "Ai8051U_SDCC_C51.h"
#endif

#endif
